Bug 1483828 - DHT: readdirp fails to read some directories.
Summary: DHT: readdirp fails to read some directories.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard: dht-directory-consistency, dht-must-f...
Depends On: 1248393
Blocks: 1266359 1483402 1503134
TreeView+ depends on / blocked
 
Reported: 2017-08-22 05:14 UTC by Nithya Balachandran
Modified: 2018-09-17 09:31 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1248393
Environment:
Last Closed: 2018-09-04 06:35:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:37:32 UTC

Comment 6 Prasad Desala 2018-08-06 11:55:31 UTC
Reproduced this issue by following below steps and verified the same on 3.12.2-15.el7rhgs.x86_64.

Steps:
1) Created a distributed-replicated volume and start it.
2) FUSE mounted it on a client.
3) From mount point created the data set as below,
a) Created a dir named 'master' on mount point and created 8000 empty dirs inside it (dir1 to dir8000)
b) then inside each dir1, created 1000 directories with 1000 files in each directory.
c) Repeated b on dir2..dir10
4) Changed the rebalance throttle to lazy using below command,
"gluster volume set distrep rebal-throttle lazy"
5) Added many bricks.
6) Start rebalance with force option
7) list the directories on master.

In older build, not all directories are listed during rebalance. However, could see all the directories at the end of rebalance.

In the fix build, I could list all the directories and subdirs.

Hence, moving this BZ to Verified.

Comment 8 errata-xmlrpc 2018-09-04 06:35:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.